Skip to main content
POST
Generate and persist follow-up suggestions

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

task_id
string<uuid>

Generate or retrieve suggestions for this task. Mutually exclusive with project_id.

project_id
string<uuid>

Generate or retrieve project-wide suggestions. Mutually exclusive with task_id.

limit
integer
default:3

Maximum number of suggestions. Defaults to 3.

Required range: 1 <= x <= 5
model
string

BYOK model to use for this generation. It must be available through one of the account's configured providers. Neo-funded requests cannot override the suggestions model.

Required string length: 1 - 100

Response

Newly generated and persisted suggestions

scope
enum<string>
required
Available options:
user,
project,
task
stale
boolean
required
status
enum<string>
required
Available options:
empty,
ready
suggestions
object[]
required
Maximum array length: 5
context_version
string
generated_at
string<date-time>
generation_id
string<uuid>
project_id
string<uuid>
task_id
string<uuid>